#ifndef INTERACTIVECONF_H
#define INTERACTIVECONF_H

#include <QObject>
#include <QString>
#include <QList>
#include <QCoreApplication>
#include <QDomDocument>
#include <QTextStream>
#include <QFile>

#include "template_singleton.h"

#define INTERACTIVE_CONF_FILE qApp->applicationDirPath() + QString("/materialsRfid.conf")

class InteractiveConf : public QObject
{
    SINGLETON_DEFINE(InteractiveConf)
    Q_OBJECT
public:
    explicit InteractiveConf(QObject *parent = nullptr);

    // 暂时先读写文件，后续整体配置优化
    static void confSaveElseMaterials(QStringList &elseMaterials);
    static QStringList confReadElseMaterials(void);

private:
    // QStringList m_elseMaterial; // 其他柜子的物资

signals:
};

#endif // INTERACTIVECONF_H
